Kirjoittaja Aihe: Apuva ubuntu 9.10 virheilmoitus  (Luettu 2787 kertaa)

jori

  • Käyttäjä
  • Viestejä: 1
    • Profiili
Apuva ubuntu 9.10 virheilmoitus
« : 11.01.10 - klo:22.56 »
Olen onneton tietokoneenkäyttäjä ja kysyn neuvoa ongelmaan. Asensin ubuntu 9.10 ja se  meni ilmoituksen mukaan hyvin sisälle. Avaan niin kohta se ilmoittaa virheilmoituksen ( /usr/lib/Ilibgconf2-4/gconf-sanity-check2 poistui tila-arvolla 256) ja laitat virheilmoituslaatikkoon sulje niin menee sisäänkijautumis ikkunaan saakka jolloin tulee seuraava ilmoitus Ongelma asennuksessa:Gnomen virrankäytön hallinnan oletusasetuksia ei ole asennettu oikein. Apuva mitä pitää tehdä ja missä

Dost

  • Käyttäjä
  • Viestejä: 709
    • Profiili
Vs: Apuva ubuntu 9.10 virheilmoitus
« Vastaus #1 : 12.01.10 - klo:01.41 »
Aika tyhmää kun tuollaisia virhe-ilmoituksia tulee :/ Googlella löytyi sellainen ratkaisu, että päätteessä annetaan komento, joka antaa kaikki oikeukset /tmp polkuun: http://ubuntuforums.org/showthread.php?t=1061084

Koodia: [Valitse]
chmod 1777 /tmp
<-- siis se pääteikkunaan (Sovellukset -->Apuohjelmat --> Pääte) tai jos työpöytään ei pääse niin, ctrl+F1 ja kirjaudut sisään omalla tunnuksella ns. tekstitilassa.

krautis

  • Käyttäjä
  • Viestejä: 185
  • Mikä lentäen tulee...
    • Profiili
Vs: Apuva ubuntu 9.10 virheilmoitus
« Vastaus #2 : 12.01.10 - klo:10.46 »
9.10 on NIIN huono asentumaan vanhoille koneille (olen kokeillut kolmea eri rautaa), että suosittelen 9.04:n asentamista, tai sitten 8.04 LTS:n.
Tietenkin siinä tapauksessa, että olet tällainen penttinelosten käyttäjä, kuten minä. ;D

Jakke77

  • Käyttäjä
  • Viestejä: 3744
  • Oulu (Oinaansuo)
    • Profiili
Vs: Apuva ubuntu 9.10 virheilmoitus
« Vastaus #3 : 12.01.10 - klo:10.58 »
9.10 on NIIN huono asentumaan vanhoille koneille (olen kokeillut kolmea eri rautaa), että suosittelen 9.04:n asentamista, tai sitten 8.04 LTS:n.
Tietenkin siinä tapauksessa, että olet tällainen penttinelosten käyttäjä, kuten minä. ;D

täysin samaa mieltä
U_G_H

Aspire E5-575G V1.27 CPU: Intel i3-6100U (4) @ 2.300GHz GPU: Intel® HD Graphics 520 GPU: NVIDIA GeForce 940MX

antti64

  • Käyttäjä
  • Viestejä: 90
    • Profiili
Vs: Apuva ubuntu 9.10 virheilmoitus
« Vastaus #4 : 16.01.10 - klo:22.46 »
9.10 on NIIN huono asentumaan vanhoille koneille (olen kokeillut kolmea eri rautaa), että suosittelen 9.04:n asentamista, tai sitten 8.04 LTS:n.
Tietenkin siinä tapauksessa, että olet tällainen penttinelosten käyttäjä, kuten minä. ;D

täysin samaa mieltä

Siis mitä - onko 9.10 susi? Yritin asentaa 9.10:n vanhalle AMD64 pöytäkoneelleni, jossa 8.04 LTS on pyörinyt vuosia. Ei boottaa. Vilkuttaa kursoria yläkulmassa. Kone boottaa kyllä CD 9.10:ltä. Minulla on kolme kovalevyä, jossa yhdellä 8.04, yhdellä /home ja uudelle kovalevylle piti mennä 9.10. Kattelin 9.10:n juuri partitiota, näytti ainakin ehjännäköiseltä. MUTTA en löytänyt /boot/grub/menu.lst:tä!  Käyttääkö 9.10:n grub jotain muuta? Siis yritän laittaa 8.04 LTS:n rinnalle 9.10 ihan kokonaan toiselle kovalevylle.

Antti
Ubuntu 12.04. HTC desire HD ja Android 2.3

Immo

  • Käyttäjä
  • Viestejä: 776
  • Ammuin sheriffin.
    • Profiili
Vs: Apuva ubuntu 9.10 virheilmoitus
« Vastaus #5 : 16.01.10 - klo:23.39 »
Lainaus
En löytänyt /boot/grub/menu.lst:tä!  Käyttääkö 9.10:n grub jotain muuta?

Kyllä. Koalassa on uusin GRUB 2, tai oikeastaan sen alpha versio. Menu.lst:n korvaa /etc/default/grub. Jokaisen muokkauksen jälkeen pitää ajaa komento update-grub, että asetukset tulevat voimaan. Taisi vaatia sudon.
"there's two types of people. Those who are very good. And those who are dead. I'm very good"

antti64

  • Käyttäjä
  • Viestejä: 90
    • Profiili
Vs: Apuva ubuntu 9.10 virheilmoitus
« Vastaus #6 : 17.01.10 - klo:12.07 »

Kyllä. Koalassa on uusin GRUB 2, tai oikeastaan sen alpha versio. Menu.lst:n korvaa /etc/default/grub. Jokaisen muokkauksen jälkeen pitää ajaa komento update-grub, että asetukset tulevat voimaan. Taisi vaatia sudon.

Kiitos tiedosta. En olekaan seurannut keskustelua,  muutokset ovat niin nopeita. Ilmeisesti 9.10 on kunnossa ,mutta käytän edelleeen 8.04:n bootloaderia. Miten saan päivitettyä GRUB2:een? Pitääkö bootata 9.10 CD:ltä ja editoida /etc/default/grub ja ajaa
update-grub?
Antti



Ubuntu 12.04. HTC desire HD ja Android 2.3

Tomin

  • Palvelimen ylläpitäjä
  • Käyttäjä / moderaattori+
  • Viestejä: 10951
    • Profiili
    • Tomin kotisivut
Vs: Apuva ubuntu 9.10 virheilmoitus
« Vastaus #7 : 17.01.10 - klo:12.15 »
https://help.ubuntu.com/community/Grub2#Upgrading to GRUB 2
Tuossa ohjeet päivitykseen GRUB:sta GRUB2:een. Eli noin sen voi lisätä vanhaan GRUB:iin ja jos se toimii niin päivittää vanhan päälle. :)
Automaattinen allekirjoitus:
Lisäisitkö [RATKAISTU] ketjun ensimmäisen viestin aiheeseen ongelman ratkettua, kiitos.

Immo

  • Käyttäjä
  • Viestejä: 776
  • Ammuin sheriffin.
    • Profiili
Vs: Apuva ubuntu 9.10 virheilmoitus
« Vastaus #8 : 17.01.10 - klo:12.22 »
Eihän uusimman Ubuntun käyttöönotto vaadi uusimpaa GRUBia? Helpointa olisi varmaan päivittää vanhan GRUBin menu.lst.
"there's two types of people. Those who are very good. And those who are dead. I'm very good"

antti64

  • Käyttäjä
  • Viestejä: 90
    • Profiili
Vs: Apuva ubuntu 9.10 virheilmoitus
« Vastaus #9 : 17.01.10 - klo:18.29 »
Eihän uusimman Ubuntun käyttöönotto vaadi uusimpaa GRUBia? Helpointa olisi varmaan päivittää vanhan GRUBin menu.lst.

Joo tuohan kuullosti nopealta ratkaisulta. Lisäsin menu.lst:iin uuden kernelin. Mutta ei toimi (9.10:lle) saan grub:n virheilmoituksen:
Error 2 : Bad file or directory type

Minun menu.lst näyttää tältä. En ole ihan varma onko (hd2,0) oikein. Komento update-grub ei listaa 9.10 kerneliä. Tässä on semmoinen mutka ehkä matkassa, että 8.04 kernelit ja grub ovat IDE-levyllä ja 9.10 SATA-levyllä. Onkohan sillä merkitystä?

Koodia: [Valitse]
title Ubuntu 9.10, 2.6.31-14-generic
root (hd2,0)
kernel /boot/vmlinuz-2.6.31-14-generic root=UUID=7821d880-fa63-45e3-bebe-65f576035dfe ro quiet splash
initrd /boot/initrd.img-2.6.31-14-generic
quiet

title Ubuntu 8.04.3 LTS, kernel 2.6.24-24-generic
root (hd0,0)
kernel /boot/vmlinuz-2.6.24-24-generic root=UUID=2f19d461-c4f4-4782-8c20-ff2a7ae09d96 ro quiet splash
initrd /boot/initrd.img-2.6.24-24-generic
quiet

title Ubuntu 8.04.3 LTS, kernel 2.6.24-24-generic (recovery mode)
root (hd0,0)
kernel /boot/vmlinuz-2.6.24-24-generic root=UUID=2f19d461-c4f4-4782-8c20-ff2a7ae09d96 ro single
initrd /boot/initrd.img-2.6.24-24-generic

Ubuntu 12.04. HTC desire HD ja Android 2.3

antti64

  • Käyttäjä
  • Viestejä: 90
    • Profiili
Vs: Apuva ubuntu 9.10 virheilmoitus
« Vastaus #10 : 18.01.10 - klo:22.10 »
Eihän uusimman Ubuntun käyttöönotto vaadi uusimpaa GRUBia? Helpointa olisi varmaan päivittää vanhan GRUBin menu.lst.

Joo tuohan kuullosti nopealta ratkaisulta. Lisäsin menu.lst:iin uuden kernelin. Mutta ei toimi (9.10:lle) saan grub:n virheilmoituksen:
Error 2 : Bad file or directory type

No niin syystä taikka toisesta en saanut 9.10:ä löytymään 8.04:n grubilla. Joten kokeilin grub2:n kaivamista/uudelleen asentamista. Ja voila!
Seurasin ohjeita tästä:
https://wiki.ubuntu.com/Grub2#Recover Grub 2 via LiveCD

Kun ajelin update-grubit Live CD:ltä (linkin ohjeiden mukaan), niin vanha Ubuntu 8.04 ei vielä siinä vaiheessa löytynyt. Sain jotain virheilmoitusta tyyliin:
/proc/mount has no entries

Tämän jälkeen kone boottasi anycase uuteen 9.10 kovalevyltä. Siellä ajoin os-probet ja nyt 8.04 kernelit löytyivät jopa ilman levyjen mounttaamistakin. Nyt näyttää hyvältä ja voin alkaa opiskella grub2:n tuunaamista. Näemmä virityksen mahdollisuutta on. 
Ubuntu 12.04. HTC desire HD ja Android 2.3